Customer preferences

Get Customer Preferences

Get notification preferences for the authenticated customer.

GET
/nudge/customer-preferences/

Authorization

bearerAuth
AuthorizationBearer <token>

Customer JWT bearer authentication.

In: header

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.dokaai.com/api/v1/dokaai/nudge/customer-preferences/"
{
  "status": "success",
  "message": "string",
  "data": [
    {
      "groupId": "string",
      "groupName": "string",
      "groupDescription": "string",
      "isGroupNotificationOff": true,
      "groupChannelLevelPreference": {
        "in_app": true,
        "email": true,
        "sms": true,
        "chat": true,
        "push": true,
        "whatsApp": true
      },
      "topic": [
        {
          "topicId": "string",
          "topicName": "string",
          "topicDescription": "string",
          "isTopicNotificationOff": true,
          "topicChannelLevelPreference": {
            "in_app": true,
            "email": true,
            "sms": true,
            "chat": true,
            "push": true,
            "whatsApp": true
          }
        }
      ]
    }
  ],
  "metaData": null,
  "error": null
}
{
  "status": "error",
  "message": "string",
  "data": null,
  "metaData": null,
  "error": null
}
{
  "status": "error",
  "message": "string",
  "data": null,
  "metaData": null,
  "error": null
}
{
  "status": "error",
  "message": "string",
  "data": null,
  "metaData": null,
  "error": null
}
{
  "status": "error",
  "message": "string",
  "data": null,
  "metaData": null,
  "error": null
}